<ion-header>
  <ion-toolbar>
    <ion-buttons slot="end">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Cambiar contraceña</ion-title>
    <ion-buttons slot="start">
      <ion-button (click)="goToBack()">
        <ion-icon name="arrow-back" size="large"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <img src="assets/img/pinterest_profile_image.png" alt="CETAGRO" />
  <form [formGroup]="loginForm" (ngSubmit)="passwordReset(loginForm.value)">
    <ion-item>
      <ion-label position="floating"
        >Email<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input formControlName="email"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_message.email">
        <div
          *ngIf="loginForm.get('email').hasError(validation.type) && 
          (loginForm.get('email').dirty || 
          loginForm.get('email').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-button
      expand="full"
      shape="round"
      [disabled]="!loginForm.valid"
      type="submit"
      >Cambiar</ion-button
    >
  </form>
</ion-content>
